"""
url和视图函数映射
url传递参数问题


两种方式传递参数
第一种：/路径/参数,（就是将参数嵌入到路径中），就是上面讲的。
第二种:/路径?参数名1=参数值1&参数名2=参数值2...，如：
"""
from flask import Flask, request, render_template

app = Flask(__name__)


@app.route('/')
def hello_world():
    return 'Hello World!'

'''
@app.route('/article/<a_id>/')
def article_id1(a_id):
    # 思路
    # 获取id号
    # 拿id号,去操作数据库,得到数据库返回来数据
    # 把数据按照有一定的格式,返回给客户端浏览器
    print(a_id)
    return '您请求的文章id为:%s' % a_id


# 指定参数类型
# 默认参数类型是{string,float,path,...}string,若指定参数类型为{string,float,path,...}int
# ,只能匹配参数类型为{string,float,path,...}int类型的 url
@app.route('/article2/<int:a_id>/')
def article_id2(a_id):
    # 思路
    # 获取id号 ok
    print(a_id)

    # 拿id号,去操作数据库,得到数据库返回来数据
    # 把数据按照有一定的格式,返回给客户端浏览器

    return '您请求的文章id为:%s' % a_id


@app.route('/article3/<uuid:a_id>/')
def article_id3(a_id):
    # 思路
    # 获取id号
    # 拿id号,去操作数据库,得到数据库返回来数据
    # 把数据按照有一定的格式,返回给客户端浏览器
    print(a_id)
    return '您请求的文章id为:%s' % a_id


import uuid

print(uuid.uuid4())


@app.route('/<any(user,blog):module>/<int:a_id>/')
def article_id4(module,a_id):
    if module == 'module':
        print('xxxxxid为:%s' % a_id)
    else:
        return 'xxxxxid为:%s' % a_id
'''


# 第二种方式传参
# @app.route('/article_id5/')  # 这种写法只支持get请求,不支持post请求
@app.route('/article_id5/', methods=['GET', 'POST'])  # 这种写法只支持get请求,又支持post请求
def article_id5():
    if request.method == 'GET':
        uname = request.args.get('uname')
        pwd = request.args.get('pwd')
        # return '接收到的参数为:%s,%s' % (name,pwd)
        return render_template('login.html')
    elif request.method == 'POST':
        uname = request.form.get('uname')
        pwd = request.form.get('pwd')
        return "POST方式接受到的参数为:%s,%s" % (uname, pwd)


if __name__ == '__main__':
    app.run(debug=True)
